Knowledge Assistant
Entity message that represents a knowledge assistant. Note: REQUIRED annotations below represent create-time requirements. For updates, required fields are determined by the update mask.
KnowledgeAssistant object
Entity message that represents a knowledge assistant. Note: REQUIRED annotations below represent create-time requirements. For updates, required fields are determined by the update mask.
- namestringBeta
The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}
- statestringBetaOutput only
State of the Knowledge Assistant. Not returned in List responses.
- idstringBetaOutput only
Deprecated: use knowledge_assistant_id instead.
- display_namestringBeta
The display name of the Knowledge Assistant, unique at workspace level. Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.
- descriptionstringBeta
Description of what this agent can do (user-facing). Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.
- instructionsstringBeta
Additional global instructions on how the agent should generate answers. Optional on create and update. When updating a Knowledge Assistant, include this field in update_mask to modify it.
- creatorstringBetaOutput only
The creator of the Knowledge Assistant.
- create_timestringBetaOutput only
Creation timestamp.
- endpoint_namestringBetaOutput only
The name of the knowledge assistant agent endpoint.
- experiment_idstringBetaOutput only
The MLflow experiment ID.
- error_infostringBetaOutput only
Error details when the Knowledge Assistant is in FAILED state.
Get Beta
GET
Gets a Knowledge Assistant.
API scopes: knowledge-assistants
Parameters
- namestringRequiredpath
The resource name of the knowledge assistant. Format: knowledge-assistants/{knowledge_assistant_id}
Response
Returns the KnowledgeAssistant object.
List Beta
GET
List Knowledge Assistants
API scopes: knowledge-assistants
Parameters
- page_sizeint32query
The maximum number of knowledge assistants to return. If unspecified, at most 100 knowledge assistants will be returned. The maximum value is 100; values above 100 will be coerced to 100.
- page_tokenstringquery
A page token, received from a previous
ListKnowledgeAssistantscall. Provide this to retrieve the subsequent page. If unspecified, the first page will be returned.
Response
Returns a list of KnowledgeAssistant objects.
Create Beta
POST
Creates a Knowledge Assistant.
API scopes: knowledge-assistants
Request body
- knowledge_assistantobjectRequired
The Knowledge Assistant to create.
Show child attributesHide child attributes
- namestring
The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}
- display_namestringRequired
The display name of the Knowledge Assistant, unique at workspace level. Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.
- descriptionstringRequired
Description of what this agent can do (user-facing). Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.
- instructionsstring
Additional global instructions on how the agent should generate answers. Optional on create and update. When updating a Knowledge Assistant, include this field in update_mask to modify it.
Response
Returns the KnowledgeAssistant object.
Update Beta
PATCH
Updates a Knowledge Assistant.
API scopes: knowledge-assistants
Parameters
- knowledge_assistantobjectRequiredpath
The Knowledge Assistant update payload. Only fields listed in update_mask are updated. REQUIRED annotations on Knowledge Assistant fields describe create-time requirements and do not mean all those fields are required for update.
Show child attributesHide child attributes
- namestring
The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}
- display_namestringRequired
The display name of the Knowledge Assistant, unique at workspace level. Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.
- descriptionstringRequired
Description of what this agent can do (user-facing). Required when creating a Knowledge Assistant. When updating a Knowledge Assistant, optional unless included in update_mask.
- instructionsstring
Additional global instructions on how the agent should generate answers. Optional on create and update. When updating a Knowledge Assistant, include this field in update_mask to modify it.
- update_maskstringRequiredquery
Comma-delimited list of fields to update on the Knowledge Assistant. Allowed values:
display_name,description,instructions. Examples:display_namedescription,instructions
Response
Returns the KnowledgeAssistant object.
Delete Beta
DELETE
Deletes a Knowledge Assistant.
API scopes: knowledge-assistants
Parameters
- namestringRequiredpath
The resource name of the knowledge assistant to be deleted. Format: knowledge-assistants/{knowledge_assistant_id}
Sync Knowledge Sources Beta
POST
Sync all non-index Knowledge Sources for a Knowledge Assistant (index sources do not require sync)
API scopes: knowledge-assistants
Parameters
- namestringRequiredpath
The resource name of the Knowledge Assistant. Format: knowledge-assistants/{knowledge_assistant_id}